defmodule FeedParser.Item do
  @moduledoc """
  A item in a feed. Has metadata and content from the item.
  """

  defstruct [:guid, :url, :links, :title, :content, :date, :creator]

  @type t() :: %__MODULE__{
          guid: String.t(),
          url: String.t() | nil,
          links: [{href :: String.t(), rel :: String.t() | nil}],
          title: String.t() | nil,
          content: String.t(),
          date: DateTime.t(),
          creator: String.t() | nil
        }
end
