defmodule FeedParser.MixProject do
  use Mix.Project

  def project do
    [
      app: :feed_parser,
      version: "0.1.0",
      elixir: "~> 1.9",
      start_permanent: Mix.env() == :prod,
      deps: deps(),

      # Docs
      name: "FeedParser",
      source_url: "https://git.shadowfacts.net/shadowfacts/feed_parser",
      docs: [
        main: "FeedParser",
        source_url_pattern:
          "https://git.shadowfacts.net/shadowfacts/feed_parser/src/branch/master/%{path}#L%{line}"
      ]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:ex_doc, "~> 0.21", only: :dev, runtime: false},
      {:timex, "~> 3.6.1"},
      {:poison, "~> 3.0"}
    ]
  end
end
